Skip to main content
GET
List verified smart contracts with optional filtering options

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

sort
enum<string>

Sort results by:

  • balance - Sort by account balance
  • transactions_count - Sort by number of transactions Should be used together with order parameter.
Available options:
balance,
transactions_count
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
q
string | null

Search query filter

filter
enum<string>

Filter to apply

Available options:
solidity,
vyper,
yul,
geas,
stylus_rust
items_count
integer

Number of items per page

Required range: x >= 1
smart_contract_id
integer

Smart-contract ID for paging

coin_balance

Coin balance for paging

hash
string

Address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
transactions_count

Transactions count for paging

Response

List of verified smart contracts matching the filter criteria, with pagination.

items
SmartContractListItem · object[]
required
next_page_params
object | null
required
Example: